summaryrefslogtreecommitdiffstats
path: root/jjb/vpp
diff options
context:
space:
mode:
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2020-01-13 13:02:05 +0000
committerGerrit Code Review <gerrit@fd.io>2020-01-13 13:02:05 +0000
commit2d5ae82547d5b18d098eda9beccfde19b7e70e61 (patch)
treef52e4136dd922d72a2c692d50ab3b861f9651777 /jjb/vpp
parent286f72aebc5babfc6afd1c249b26a5015fc7a3fc (diff)
parentc16cf4ec132c21090342324878ca22ad1fc0476e (diff)
Merge "VPP: Make script inclusion more readable"
Diffstat (limited to 'jjb/vpp')
-rw-r--r--jjb/vpp/check_crc.sh38
-rw-r--r--jjb/vpp/docs.yaml36
-rw-r--r--jjb/vpp/include-gcc8-prefer.sh2
-rw-r--r--jjb/vpp/include-raw-vpp-arm-build-no-test.sh58
-rw-r--r--jjb/vpp/include-raw-vpp-arm-build.sh66
-rw-r--r--jjb/vpp/include-raw-vpp-build.sh64
-rw-r--r--jjb/vpp/include-raw-vpp-checkstyle.sh9
-rw-r--r--jjb/vpp/include-raw-vpp-clang-build.sh40
-rw-r--r--jjb/vpp/include-raw-vpp-commitmsg.sh8
-rw-r--r--jjb/vpp/include-raw-vpp-coverity.sh32
-rw-r--r--jjb/vpp/include-raw-vpp-csit-device.sh38
-rw-r--r--jjb/vpp/include-raw-vpp-csit-perf.sh38
-rw-r--r--jjb/vpp/include-raw-vpp-docs.sh50
-rw-r--r--jjb/vpp/include-raw-vpp-make-test-docs.sh49
-rw-r--r--jjb/vpp/include-raw-vpp-maven-push.sh56
-rw-r--r--jjb/vpp/include-raw-vpp-parallel-vars.sh11
-rw-r--r--jjb/vpp/include-raw-vpp-sphinx-docs.sh50
-rw-r--r--jjb/vpp/include-raw-vpp-test-checkstyle.sh9
-rw-r--r--jjb/vpp/vpp.yaml98
19 files changed, 92 insertions, 660 deletions
diff --git a/jjb/vpp/check_crc.sh b/jjb/vpp/check_crc.sh
deleted file mode 100644
index 71d960ace..000000000
--- a/jjb/vpp/check_crc.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/usr/bin/env bash
-
-# Copyright (c) 2019 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-set -exuo pipefail
-
-# Clone CSIT git repository and proceed with entry script located there.
-#
-# Variables read:
-# - WORKSPACE - Jenkins workspace to create csit subdirectory in.
-# - CSIT_REF - Override ref of CSIT git repository to checkout.
-# Directories updated:
-# - ${WORKSPACE}/csit - Created, holding a checked out CSIT repository.
-# - Multiple other side effects by entry script(s), see CSIT repository.
-
-cd "${WORKSPACE}"
-git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
-pushd "${WORKSPACE}/csit"
-if [[ -n "${CSIT_REF-}" ]]; then
- git fetch --depth=1 https://gerrit.fd.io/r/csit "${CSIT_REF}"
- git checkout FETCH_HEAD
-else
- git checkout HEAD
-fi
-popd
-csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
-source "${csit_entry_dir}/with_oper_for_vpp.sh" "check_crc.sh"
diff --git a/jjb/vpp/docs.yaml b/jjb/vpp/docs.yaml
index 2e5e33ff4..f5ba7ee12 100644
--- a/jjb/vpp/docs.yaml
+++ b/jjb/vpp/docs.yaml
@@ -109,9 +109,11 @@
settings-file: 'vpp-settings'
global-settings-file: 'global-settings'
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
- !include-raw-escape: include-raw-vpp-docs.sh
+ !include-raw-escape:
+ - ../scripts/vpp/docs.sh
publishers:
- lf-infra-publish
@@ -197,9 +199,11 @@
settings-file: 'vpp-settings'
global-settings-file: 'global-settings'
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
- !include-raw-escape: include-raw-vpp-docs.sh
+ !include-raw-escape:
+ - ../scripts/vpp/docs.sh
publishers:
- lf-infra-publish
@@ -276,9 +280,11 @@
settings-file: 'vpp-settings'
global-settings-file: 'global-settings'
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
- !include-raw-escape: include-raw-vpp-sphinx-docs.sh
+ !include-raw-escape:
+ - ../scripts/vpp/sphinx-docs.sh
publishers:
- lf-infra-publish
@@ -355,9 +361,11 @@
settings-file: 'vpp-settings'
global-settings-file: 'global-settings'
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
- !include-raw-escape: include-raw-vpp-sphinx-docs.sh
+ !include-raw-escape:
+ - ../scripts/vpp/sphinx-docs.sh
publishers:
- lf-infra-publish
@@ -422,9 +430,11 @@
settings-file: 'vpp-settings'
global-settings-file: 'global-settings'
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
- !include-raw-escape: include-raw-vpp-make-test-docs.sh
+ !include-raw-escape:
+ - ../scripts/vpp/make-test-docs.sh
publishers:
- lf-infra-publish
@@ -511,9 +521,11 @@
settings-file: 'vpp-settings'
global-settings-file: 'global-settings'
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
- !include-raw-escape: include-raw-vpp-make-test-docs.sh
+ !include-raw-escape:
+ - ../scripts/vpp/make-test-docs.sh
publishers:
- lf-infra-publish
diff --git a/jjb/vpp/include-gcc8-prefer.sh b/jjb/vpp/include-gcc8-prefer.sh
deleted file mode 100644
index 6de4beb40..000000000
--- a/jjb/vpp/include-gcc8-prefer.sh
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/usr/bin/env bash
-update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-7 700 --slave /usr/bin/g++ g++ /usr/bin/g++-7 && update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-8 800 --slave /usr/bin/g++ g++ /usr/bin/g++-8
diff --git a/jjb/vpp/include-raw-vpp-arm-build-no-test.sh b/jjb/vpp/include-raw-vpp-arm-build-no-test.sh
deleted file mode 100644
index 94cc82449..000000000
--- a/jjb/vpp/include-raw-vpp-arm-build-no-test.sh
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/bin/bash
-# basic build script example
-set -xe -o pipefail
-
-OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-
-echo OS_ID: $OS_ID
-echo OS_VERSION_ID: $OS_VERSION_ID
-
-# do nothing but print the current slave hostname
-hostname
-export CCACHE_DIR=/tmp/ccache
-if [ -d $CCACHE_DIR ];then
- echo $CCACHE_DIR exists
- du -sk $CCACHE_DIR
-else
- echo $CCACHE_DIR does not exist. This must be a new slave.
-fi
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find cat /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find cat /etc/bootstrap-functions.sha"
-fi
-
-echo "sha1sum of this script: ${0}"
-sha1sum $0
-
-echo "CC=${CC}"
-
-make UNATTENDED=yes install-dep
-make UNATTENDED=yes dpdk-install-dev
-make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp wipe-all install-packages
-make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp sample-plugin-install
-make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp libmemif-install
-make UNATTENDED=yes pkg-deb
-
-if [ "x${VPP_REPO}" == "x1" ]; then
- if [ "x${REBASE_NEEDED}" == "x1" ]; then
- echo "This patch to vpp is based on an old point in the tree that is likely"
- echo "to fail verify."
- echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
- exit 1
- fi
-fi
-
-echo "*******************************************************************"
-echo "* VPP ARM BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************"
diff --git a/jjb/vpp/include-raw-vpp-arm-build.sh b/jjb/vpp/include-raw-vpp-arm-build.sh
deleted file mode 100644
index 9de736ae0..000000000
--- a/jjb/vpp/include-raw-vpp-arm-build.sh
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/bash
-# basic build script example
-set -xe -o pipefail
-
-OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-
-echo OS_ID: $OS_ID
-echo OS_VERSION_ID: $OS_VERSION_ID
-
-# do nothing but print the current slave hostname
-hostname
-export CCACHE_DIR=/tmp/ccache
-if [ -d $CCACHE_DIR ];then
- echo $CCACHE_DIR exists
- du -sk $CCACHE_DIR
-else
- echo $CCACHE_DIR does not exist. This must be a new slave.
-fi
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find cat /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find cat /etc/bootstrap-functions.sha"
-fi
-
-echo "sha1sum of this script: ${0}"
-sha1sum $0
-
-echo "CC=${CC}"
-echo "IS_CSIT_VPP_JOB=${IS_CSIT_VPP_JOB}"
-# If and only if we are doing verify *after* make verify was made to work
-# and we are not a CSIT job just building packages, then use make verify,
-# else use the old build-root/vagrant/build.sh
-if (git log --oneline | grep 37682e1 > /dev/null 2>&1) && \
- [ "x${IS_CSIT_VPP_JOB}" != "xTrue" ]
-then
- echo "Building using \"make verify\""
- [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes verify SKIP_AARCH64=yes
-else
- echo "Building using \"make build-root/vagrant/build.sh\""
- [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes install-dep
- [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes dpdk-install-dev
- [ "x${DRYRUN}" == "xTrue" ] || build-root/vagrant/build.sh
-fi
-
-if [ "x${VPP_REPO}" == "x1" ]; then
- if [ "x${REBASE_NEEDED}" == "x1" ]; then
- echo "This patch to vpp is based on an old point in the tree that is likely"
- echo "to fail verify."
- echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
- exit 1
- fi
-fi
-
-echo "*******************************************************************"
-echo "* VPP ARM BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************"
diff --git a/jjb/vpp/include-raw-vpp-build.sh b/jjb/vpp/include-raw-vpp-build.sh
deleted file mode 100644
index 6fdaec133..000000000
--- a/jjb/vpp/include-raw-vpp-build.sh
+++ /dev/null
@@ -1,64 +0,0 @@
-#!/bin/bash
-# basic build script example
-set -xe -o pipefail
-
-OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-
-echo OS_ID: $OS_ID
-echo OS_VERSION_ID: $OS_VERSION_ID
-
-# do nothing but print the current slave hostname
-hostname
-export CCACHE_DIR=/tmp/ccache
-if [ -d $CCACHE_DIR ];then
- echo $CCACHE_DIR exists
- du -sk $CCACHE_DIR
-else
- echo $CCACHE_DIR does not exist. This must be a new slave.
-fi
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find cat /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find cat /etc/bootstrap-functions.sha"
-fi
-
-echo "sha1sum of this script: ${0}"
-sha1sum $0
-
-echo "CC=${CC}"
-echo "IS_CSIT_VPP_JOB=${IS_CSIT_VPP_JOB}"
-# If and only if we are doing verify *after* make verify was made to work
-# and we are not a CSIT job just building packages, then use make verify,
-# else use make pkg-verify.
-if (git log --oneline | grep 37682e1 > /dev/null 2>&1) && \
- [ "x${IS_CSIT_VPP_JOB}" != "xTrue" ]
-then
- echo "Building using \"make verify\""
- [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes TEST_JOBS=auto verify
-else
- echo "Building using \"make pkg-verify\""
- [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes pkg-verify
-fi
-
-if [ "x${VPP_REPO}" == "x1" ]; then
- if [ "x${REBASE_NEEDED}" == "x1" ]; then
- echo "This patch to vpp is based on an old point in the tree that is likely"
- echo "to fail verify."
- echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
- exit 1
- fi
-fi
-
-echo "*******************************************************************"
-echo "* VPP BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************"
diff --git a/jjb/vpp/include-raw-vpp-checkstyle.sh b/jjb/vpp/include-raw-vpp-checkstyle.sh
deleted file mode 100644
index 7c520dd99..000000000
--- a/jjb/vpp/include-raw-vpp-checkstyle.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/bash
-# jjb/vpp/include-raw-vpp-checkstyle.sh
-
-if [ -n "$(grep -E '^checkstyle:' Makefile)" ]
-then
- make checkstyle
-else
- echo "Can't find checkstyle target in Makefile - skipping checkstyle"
-fi
diff --git a/jjb/vpp/include-raw-vpp-clang-build.sh b/jjb/vpp/include-raw-vpp-clang-build.sh
deleted file mode 100644
index b1bed417b..000000000
--- a/jjb/vpp/include-raw-vpp-clang-build.sh
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/bin/bash
-# basic build script example
-set -xe -o pipefail
-
-OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
-
-echo OS_ID: $OS_ID
-echo OS_VERSION_ID: $OS_VERSION_ID
-
-# do nothing but print the current slave hostname
-hostname
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find cat /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find cat /etc/bootstrap-functions.sha"
-fi
-
-echo "sha1sum of this script: ${0}"
-sha1sum $0
-
-make UNATTENDED=yes install-dep
-make UNATTENDED=yes install-ext-deps
-make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp_clang CC=clang CXX=clang install-packages
-make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp_clang CC=clang CXX=clang sample-plugin-install
-make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp_clang CC=clang CXX=clang libmemif-install
-
-
-echo "*******************************************************************"
-echo "* VPP CLANG BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************"
diff --git a/jjb/vpp/include-raw-vpp-commitmsg.sh b/jjb/vpp/include-raw-vpp-commitmsg.sh
deleted file mode 100644
index d926ff5dd..000000000
--- a/jjb/vpp/include-raw-vpp-commitmsg.sh
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/bin/bash
-
-if [ -f extras/scripts/check_commit_msg.sh ];then
- echo "Running extras/scripts/check_commit_msg.sh"
- extras/scripts/check_commit_msg.sh
-else
- echo "Cannot find cat extras/scripts/check_commit_msg.sh - skipping commit message check"
-fi
diff --git a/jjb/vpp/include-raw-vpp-coverity.sh b/jjb/vpp/include-raw-vpp-coverity.sh
deleted file mode 100644
index 47a316a89..000000000
--- a/jjb/vpp/include-raw-vpp-coverity.sh
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/bash
-FILE="scan.txt"
-OUTPUT="output.txt"
-
-wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
-dpkg -i google-chrome-stable_current_amd64.deb || true
-apt-get install -f -y
-
-google-chrome --headless --disable-gpu -dump-dom --no-sandbox https://scan.coverity.com/projects/fd-io-vpp > $FILE
-
-grep -i '<dt>Newly detected</dt>' $FILE || exit 42
-
-NEW=$(grep -i -B 1 '<dt>Newly detected</dt>' $FILE | grep -Eo '[0-9]{1,4}')
-ELIM=$(grep -i -B 1 '<dt>Eliminated</dt>' $FILE | grep -Eo '[0-9]{1,4}')
-OUT=$(grep -i -B 1 '<dt>Outstanding</dt>' $FILE | grep -Eo '[0-9]{1,4}')
-
-#ls -lg $FILE
-#cat $FILE
-
-if [ "${OUT}" == "0" ]; then
- echo 'Current outstanding issues are zero' > $OUTPUT
- echo "Newly detected: $NEW" >> $OUTPUT
- echo "Eliminated: $ELIM" >> $OUTPUT
- echo "More details can be found at https://scan.coverity.com/projects/fd-io-vpp/view_defects" >> $OUTPUT
-else
- echo "Current number of outstanding issues are $OUT Failing job"
- echo "Current number of outstanding issues are $OUT" > $OUTPUT
- echo "Newly detected: $NEW" >> $OUTPUT
- echo "Eliminated: $ELIM" >> $OUTPUT
- echo "More details can be found at https://scan.coverity.com/projects/fd-io-vpp/view_defects" >> $OUTPUT
- exit 1
-fi
diff --git a/jjb/vpp/include-raw-vpp-csit-device.sh b/jjb/vpp/include-raw-vpp-csit-device.sh
deleted file mode 100644
index 87be53f06..000000000
--- a/jjb/vpp/include-raw-vpp-csit-device.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/usr/bin/env bash
-
-# Copyright (c) 2019 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-set -exuo pipefail
-
-# Clone CSIT git repository and proceed with entry script located there.
-#
-# Variables read:
-# - WORKSPACE - Jenkins workspace to create csit subdirectory in.
-# - CSIT_REF - Override ref of CSIT git repository to checkout.
-# Directories updated:
-# - ${WORKSPACE}/csit - Created, holding a checked out CSIT repository.
-# - Multiple other side effects by entry script(s), see CSIT repository.
-
-cd "${WORKSPACE}"
-git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
-pushd "${WORKSPACE}/csit"
-if [[ -n "${CSIT_REF-}" ]]; then
- git fetch --depth=1 https://gerrit.fd.io/r/csit "${CSIT_REF}"
- git checkout FETCH_HEAD
-else
- git checkout HEAD
-fi
-popd
-csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
-source "${csit_entry_dir}/with_oper_for_vpp.sh" "per_patch_device.sh"
diff --git a/jjb/vpp/include-raw-vpp-csit-perf.sh b/jjb/vpp/include-raw-vpp-csit-perf.sh
deleted file mode 100644
index f37d8e720..000000000
--- a/jjb/vpp/include-raw-vpp-csit-perf.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/usr/bin/env bash
-
-# Copyright (c) 2018 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-set -exuo pipefail
-
-# Clone CSIT git repository and proceed with entry script located there.
-#
-# Variables read:
-# - WORKSPACE - Jenkins workspace to create csit subdirectory in.
-# - CSIT_REF - Override ref of CSIT git repository to checkout.
-# Directories updated:
-# - ${WORKSPACE}/csit - Created, holding a checked out CSIT repository.
-# - Multiple other side effects by entry script(s), see CSIT repository.
-
-cd "${WORKSPACE}"
-git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
-pushd "${WORKSPACE}/csit"
-if [[ -n "${CSIT_REF-}" ]]; then
- git fetch --depth=1 https://gerrit.fd.io/r/csit "${CSIT_REF}"
- git checkout FETCH_HEAD
-else
- git checkout HEAD
-fi
-popd
-csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
-source "${csit_entry_dir}/with_oper_for_vpp.sh" "per_patch_perf.sh"
diff --git a/jjb/vpp/include-raw-vpp-docs.sh b/jjb/vpp/include-raw-vpp-docs.sh
deleted file mode 100644
index 608f8f979..000000000
--- a/jjb/vpp/include-raw-vpp-docs.sh
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/bin/bash
-set -xe -o pipefail
-[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
-[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp
-[ "$DOC_FILE" ] || DOC_FILE=vpp.docs.zip
-[ "$DOC_DIR" ] || DOC_DIR=build-root/docs/html
-[ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site/
-[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources
-[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
-[ "$VERSION" ] || VERSION=$(./build-root/scripts/version rpm-version)
-
-make doxygen
-
-if [[ ${JOB_NAME} == *merge* ]]; then
- mkdir -p $(dirname ${RESOURCES_DIR})
- mv -f ${DOC_DIR} ${RESOURCES_DIR}
- cd ${SITE_DIR}
- find . -type f '(' -name '*.md5' -o -name '*.dot' -o -name '*.map' ')' -delete
- cat > pom.xml << EOF
- <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
- <modelVersion>4.0.0</modelVersion>
- <groupId>io.fd.vpp</groupId>
- <artifactId>docs</artifactId>
- <version>1.0.0</version>
- <packaging>pom</packaging>
-
- <properties>
- <generateReports>false</generateReports>
- </properties>
-
- <build>
- <extensions>
- <extension>
- <groupId>org.apache.maven.wagon</groupId>
- <artifactId>wagon-webdav-jackrabbit</artifactId>
- <version>2.10</version>
- </extension>
- </extensions>
- </build>
- <distributionManagement>
- <site>
- <id>fdio-site</id>
- <url>dav:${DOCS_REPO_URL}/${PROJECT_PATH}/${VERSION}</url>
- </site>
- </distributionManagement>
- </project>
-EOF
- ${MVN} -B site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}" -T 4C
- cd -
-fi
diff --git a/jjb/vpp/include-raw-vpp-make-test-docs.sh b/jjb/vpp/include-raw-vpp-make-test-docs.sh
deleted file mode 100644
index 1f82ab502..000000000
--- a/jjb/vpp/include-raw-vpp-make-test-docs.sh
+++ /dev/null
@@ -1,49 +0,0 @@
-#!/bin/bash
-set -xe -o pipefail
-[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
-[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp
-[ "$DOC_DIR" ] || DOC_DIR=build-root/build-test/doc/html
-[ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site
-[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources/vpp_make_test
-[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
-[ "$VERSION" ] || VERSION=$(./build-root/scripts/version rpm-version)
-
-make test-doc
-
-if [[ ${JOB_NAME} == *merge* ]]; then
- mkdir -p ${RESOURCES_DIR}
- mv -f ${DOC_DIR} ${RESOURCES_DIR}
- cd ${SITE_DIR}
-
- cat > pom.xml << EOF
- <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
- <modelVersion>4.0.0</modelVersion>
- <groupId>io.fd.vpp</groupId>
- <artifactId>docs</artifactId>
- <version>1.0.0</version>
- <packaging>pom</packaging>
-
- <properties>
- <generateReports>false</generateReports>
- </properties>
-
- <build>
- <extensions>
- <extension>
- <groupId>org.apache.maven.wagon</groupId>
- <artifactId>wagon-webdav-jackrabbit</artifactId>
- <version>2.10</version>
- </extension>
- </extensions>
- </build>
- <distributionManagement>
- <site>
- <id>fdio-site</id>
- <url>dav:${DOCS_REPO_URL}/${PROJECT_PATH}/${VERSION}</url>
- </site>
- </distributionManagement>
- </project>
-EOF
- ${MVN} -B site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}" -T 4C
- cd -
-fi
diff --git a/jjb/vpp/include-raw-vpp-maven-push.sh b/jjb/vpp/include-raw-vpp-maven-push.sh
deleted file mode 100644
index 6ce3b2c06..000000000
--- a/jjb/vpp/include-raw-vpp-maven-push.sh
+++ /dev/null
@@ -1,56 +0,0 @@
-#!/bin/bash
-set -xe -o pipefail
-echo "*******************************************************************"
-echo "* STARTING PUSH OF PACKAGES TO REPOS"
-echo "* NOTHING THAT HAPPENS BELOW THIS POINT IS RELATED TO BUILD FAILURE"
-echo "*******************************************************************"
-
-[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
-GROUP_ID="io.fd.${PROJECT}"
-BASEURL="${NEXUSPROXY}/content/repositories/fd.io."
-BASEREPOID='fdio-'
-
-if [ "${OS}" == "ubuntu1604" ]; then
- # Find the files
- JARS=$(find . -type f -iname '*.jar')
- DEBS=$(find . -type f -iname '*.deb')
- for i in $JARS
- do
- push_jar "$i"
- done
-
- for i in $DEBS
- do
- push_deb "$i"
- done
-elif [ "${OS}" == "ubuntu1804" ]; then
- # Find the files
- JARS=$(find . -type f -iname '*.jar')
- DEBS=$(find . -type f -iname '*.deb')
- for i in $JARS
- do
- push_jar "$i"
- done
-
- for i in $DEBS
- do
- push_deb "$i"
- done
-elif [ "${OS}" == "centos7" ]; then
- # Find the files
- RPMS=$(find . -type f -iname '*.rpm')
- SRPMS=$(find . -type f -iname '*.srpm')
- SRCRPMS=$(find . -type f -name '*.src.rpm')
- for i in $RPMS $SRPMS $SRCRPMS
- do
- push_rpm "$i"
- done
-elif [ "${OS}" == "opensuse" ]; then
- # Find the files
- RPMS=$(find . -type f -iname '*.rpm')
- for i in $RPMS
- do
- push_rpm "$i"
- done
-fi
-# vim: ts=4 sw=4 sts=4 et ft=sh :
diff --git a/jjb/vpp/include-raw-vpp-parallel-vars.sh b/jjb/vpp/include-raw-vpp-parallel-vars.sh
deleted file mode 100644
index 1a5de149f..000000000
--- a/jjb/vpp/include-raw-vpp-parallel-vars.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/bash
-CORES=4
-if [[ $(uname -m) == 'aarch64' ]]
-then
- CORES=16
-fi
-
-echo "Using MAKE_PARALLEL_FLAGS='-j $CORES' TEST_JOBS=$CORES for parallel build/test"
-
-export MAKE_PARALLEL_FLAGS="-j $CORES"
-export TEST_JOBS=$CORES
diff --git a/jjb/vpp/include-raw-vpp-sphinx-docs.sh b/jjb/vpp/include-raw-vpp-sphinx-docs.sh
deleted file mode 100644
index e5b8cfd15..000000000
--- a/jjb/vpp/include-raw-vpp-sphinx-docs.sh
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/bin/bash
-set -xe -o pipefail
-[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
-[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp
-[ "$DOC_FILE" ] || DOC_FILE=vpp.docs.zip
-[ "$DOC_DIR" ] || DOC_DIR=./docs/_build/html
-[ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site
-[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources
-[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
-[ "$VERSION" ] || VERSION=$(./build-root/scripts/version rpm-version)
-
-make docs-venv
-make docs
-
-if [[ ${JOB_NAME} == *merge* ]]; then
- mkdir -p $(dirname ${RESOURCES_DIR})
- mv -f ${DOC_DIR} ${RESOURCES_DIR}
- cd ${SITE_DIR}
- cat > pom.xml << EOF
- <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
- <modelVersion>4.0.0</modelVersion>
- <groupId>io.fd.vpp</groupId>
- <artifactId>docs</artifactId>
- <version>1.0.0</version>
- <packaging>pom</packaging>
-
- <properties>
- <generateReports>false</generateReports>
- </properties>
-
- <build>
- <extensions>
- <extension>
- <groupId>org.apache.maven.wagon</groupId>
- <artifactId>wagon-webdav-jackrabbit</artifactId>
- <version>2.10</version>
- </extension>
- </extensions>
- </build>
- <distributionManagement>
- <site>
- <id>fdio-site</id>
- <url>dav:${DOCS_REPO_URL}/${PROJECT_PATH}/v${VERSION}</url>
- </site>
- </distributionManagement>
- </project>
-EOF
- ${MVN} -B site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}" -T 4C
- cd -
-fi
diff --git a/jjb/vpp/include-raw-vpp-test-checkstyle.sh b/jjb/vpp/include-raw-vpp-test-checkstyle.sh
deleted file mode 100644
index bdc843114..000000000
--- a/jjb/vpp/include-raw-vpp-test-checkstyle.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/bash
-# jjb/vpp/include-raw-vpp-test-checkstyle.sh
-
-if [ -n "$(grep -E '^test-checkstyle:' Makefile)" ]
-then
- make test-checkstyle
-else
- echo "Can't find test-checkstyle target in Makefile - skipping test-checkstyle"
-fi
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index d08823d04..8d2c84c57 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -238,11 +238,14 @@
builders:
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
- ../scripts/setup_vpp_dpdk_dev_env.sh
- - include-raw-vpp-build.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/build.sh
publishers:
- fdio-infra-shiplogs:
@@ -309,11 +312,14 @@
- file-id: 'packagecloud_api'
target: '/root'
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
- ../scripts/setup_vpp_dpdk_dev_env.sh
- - include-raw-vpp-build.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/build.sh
- provide-maven-settings:
settings-file: 'vpp-settings'
global-settings-file: 'global-settings'
@@ -372,12 +378,17 @@
builders:
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_arm_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_arm_test.sh
- shell:
!include-raw-escape:
- ../scripts/setup_vpp_dpdk_dev_env.sh
- - include-raw-vpp-parallel-vars.sh
- - include-raw-vpp-arm-build.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/parallel-vars.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/arm-build.sh
publishers:
- fdio-infra-shiplogs:
@@ -444,12 +455,17 @@
- file-id: 'packagecloud_api'
target: '/root'
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_arm_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_arm_test.sh
- shell:
!include-raw-escape:
- ../scripts/setup_vpp_dpdk_dev_env.sh
- - include-raw-vpp-parallel-vars.sh
- - include-raw-vpp-arm-build-no-test.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/parallel-vars.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/arm-build-no-test.sh
- provide-maven-settings:
settings-file: 'vpp-settings'
@@ -549,11 +565,14 @@
builders:
- shell:
- !include-raw-escape: include-raw-vpp-checkstyle.sh
+ !include-raw-escape:
+ - ../scripts/vpp/checkstyle.sh
- shell:
- !include-raw-escape: include-raw-vpp-test-checkstyle.sh
+ !include-raw-escape:
+ - ../scripts/vpp/test-checkstyle.sh
- shell:
- !include-raw-escape: include-raw-vpp-commitmsg.sh
+ !include-raw-escape:
+ - ../scripts/vpp/commitmsg.sh
publishers:
- fdio-infra-shiplogs:
@@ -610,11 +629,14 @@
builders:
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
- ../scripts/setup_vpp_dpdk_dev_env.sh
- - include-raw-vpp-build.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/build.sh
publishers:
- fdio-infra-shiplogs:
@@ -667,11 +689,14 @@
builders:
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
- ../scripts/setup_vpp_dpdk_dev_env.sh
- - include-raw-vpp-clang-build.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/clang-build.sh
publishers:
- fdio-infra-shiplogs:
@@ -722,7 +747,7 @@
builders:
- shell:
- command: !include-raw-escape: include-raw-vpp-coverity.sh
+ command: !include-raw-escape: ../scripts/vpp/coverity.sh
unstable-return: 42
publishers:
@@ -837,13 +862,17 @@
- file-id: 'packagecloud_api'
target: '/root'
- shell:
- !include-raw-escape: include-raw-vpp-checkstyle.sh
+ !include-raw-escape:
+ - ../scripts/vpp/checkstyle.sh
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
!include-raw-escape:
- ../scripts/setup_vpp_dpdk_dev_env.sh
- - include-raw-vpp-build.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/build.sh
- provide-maven-settings:
settings-file: 'vpp-settings'
global-settings-file: 'global-settings'
@@ -919,13 +948,17 @@
builders:
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_vpp_dpdk_dev_env.sh
- shell:
- !include-raw-escape: ../scripts/setup_vpp_dpdk_dev_env.sh
+ !include-raw-escape:
+ - ../scripts/vpp/parallel-vars.sh
- shell:
!include-raw-escape:
- - include-raw-vpp-parallel-vars.sh
- - include-raw-vpp-csit-device.sh
+ - ../scripts/vpp/csit-device.sh
publishers:
- robot-report:
@@ -1000,11 +1033,14 @@
builders:
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
- !include-raw-escape: ../scripts/setup_vpp_dpdk_dev_env.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_dpdk_dev_env.sh
- shell:
- !include-raw-escape: include-raw-vpp-csit-perf.sh
+ !include-raw-escape:
+ - ../scripts/vpp/csit-perf.sh
publishers:
- robot-report:
@@ -1065,9 +1101,11 @@
builders:
- shell:
- !include-raw-escape: ../scripts/setup_vpp_ubuntu_docker_test.sh
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- shell:
- !include-raw-escape: check_crc.sh
+ !include-raw-escape:
+ - ../scripts/vpp/check_crc.sh
# TODO: Add sending e-mail notifications to vpp-api-dev@lists.fd.io
publishers: